## openjdk-8 8u412-ga

=== debian/changelog ===
openjdk-8 (8u412-ga-1~20.04.1) focal-security; urgency=medium

  * Modify the previous changelog entry: add CVE information

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Thu, 30 May 2024 11:33:26 +0530

openjdk-8 (8u412-ga-1~20.04) focal-security; urgency=medium

  * New upstream release (Closes: #1069678)
  * CVEs
    - CVE-2024-21011, 8319851: Improve exception logging.
    - CVE-2024-21085, 8322114: Improve Pack 200 handling.
    - CVE-2024-21068, 8322122: Enhance generation of addresses.
    - CVE-2024-21094, 8317507: Already fixed in November 2023:
        C2 compilation fails with "Exceeded _node_regs array".

  * Security fixes
    - JDK-8317507, JDK-8325348: C2 compilation fails
      with "Exceeded _node_regs array"
    - JDK-8318340: Improve RSA key implementations
    - JDK-8319851: Improve exception logging
    - JDK-8322114: Improve Pack 200 handling
    - JDK-8322122: Enhance generation of addresses
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2024-April/018329.html
  * Upload sponsored by QVEST ⮡ dıgıtal
  * Re-enable running tests by default except on noble/i386 (lacks prereqs)
  * Switch from pkg-config to pkgconf for bookworm/mantic+ (lintian)

  [ Pushkar Kulkarni ]
  * Upload to Ubuntu 20.04

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 23 Apr 2024 01:10:58 +0200
