## openjdk-8 8u422-b05

=== debian/changelog ===
openjdk-8 (8u422-b05-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.
  * Re-add default-jre-headless build-dep, needed by jtreg for the
    test suite.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 27 Jul 2024 19:08:40 +0200

openjdk-8 (8u422-b05-1) unstable; urgency=medium

  * New upstream release
  * CVEs
    - CVE-2024-21131
    - CVE-2024-21138
    - CVE-2024-21140
    - CVE-2024-21144
    - CVE-2024-21145
    - CVE-2024-21147
  * Security fixes
    - JDK-8314794: Improve UTF8 String supports
    - JDK-8319859: Better symbol storage
    - JDK-8320097: Improve Image transformations
    - JDK-8320548: Improved loop handling
    - JDK-8322106: Enhance Pack 200 loading
    - JDK-8323231: Improve array management
    - JDK-8323390: Enhance mask blit functionality
    - JDK-8324559: Improve 2D image handling
    - JDK-8325600: Better symbol storage
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2024-July/018904.html
  * Re-enable tests on noble/i386, the prerequisites were added back
    with no coordination; disable on sid/{m68k,sh4} for same reason
  * Overhaul way various control files are (re‑)generated
  * Avoid default-jre being pulled in by B-D-ing on jdk-!headless again
  * Upload sponsored by QVEST ⮡ dıgıtal

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 20 Jul 2024 01:34:18 +0200

openjdk-8 (8u412-ga-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.
  * Re-enable test suite.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 26 Apr 2024 12:53:17 +0200

openjdk-8 (8u412-ga-1) unstable; urgency=medium

  * New upstream release (Closes: #1069678)
  * CVEs
    - CVE-2024-21011
    - CVE-2024-21085
    - CVE-2024-21068
    - CVE-2024-21094
  * Security fixes
    - JDK-8317507, JDK-8325348: C2 compilation fails
      with "Exceeded _node_regs array"
    - JDK-8318340: Improve RSA key implementations
    - JDK-8319851: Improve exception logging
    - JDK-8322114: Improve Pack 200 handling
    - JDK-8322122: Enhance generation of addresses
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2024-April/018329.html
  * Upload sponsored by QVEST ⮡ dıgıtal
  * Re-enable running tests by default except on noble/i386 (lacks prereqs)
  * Switch from pkg-config to pkgconf for bookworm/mantic+ (lintian)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 23 Apr 2024 01:10:58 +0200

openjdk-8 (8u402-ga-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 22 Jan 2024 16:09:13 +0100

openjdk-8 (8u392-ga-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 26 Oct 2023 10:55:48 +0200

openjdk-8 (8u382-ga-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 26 Jul 2023 11:40:43 +0200
