=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,7 @@
 
 # we know about:
 # wheezy jessie stretch buster bullseye bookworm trixie sid
-# precise trusty xenial bionic focal jammy (mantic) noble
+# precise trusty xenial bionic focal jammy (mantic) noble oracular
 
 ifneq (,$(filter $(distrel),wheezy precise trusty))
   is_default = no
@@ -97,10 +97,12 @@
 is_release		=
 is_release		= yes
 gh_project		= jdk8u
-gh_tag			= jdk8u412-ga
+#gh_tag			= jdk8u412-ga
+gh_tag			= jdk8u422-b05
 version_dash_buildnr	= $(subst ${gh_project},,${gh_tag})
-version_dash_buildnr	= 412-b08
-gh_tag_aarch32		= jdk8u412-ga-aarch32-20240419
+#version_dash_buildnr	= 412-b08
+# patched to get up to b05 (${UPSTREAM_PATCHES})
+gh_tag_aarch32		= jdk8u422-b04-aarch32-20240703
 package_version		= $(subst jdk,,${gh_tag})
 ifneq ($(is_release),yes)
   package_version	:= $(subst -,~,$(package_version))
@@ -151,11 +153,13 @@
   nocheck_profile =
   with_check = disabled running check on $(distrel)
 endif
-ifneq (,$(filter ${distrel},noble))
-  ifeq (${DEB_HOST_ARCH},i386)
+ifeq (,$(filter ${distrel},wheezy jessie stretch buster bullseye bookworm precise trusty xenial bionic focal jammy mantic noble oracular))
+  # Debian testing/sid
+  ifneq (,$(filter ${DEB_HOST_ARCH},m68k sh4))
+    # xfwm4 B-D for testing not available
     with_check = disabled running check on ${distrel}/${DEB_HOST_ARCH}
   endif
-  nocheck_profile = ${NULL} [!i386] <!nocheck>
+  nocheck_profile = ${NULL} [!m68k !sh4] <!nocheck>
 endif
 #with_check = disabled for this build
 
@@ -223,6 +227,3 @@
 # jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
 dpkg_buildflags_hs += \
 	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
-	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions -Xlinker --no-as-needed"
-dpkg_buildflags_hs += dpkg-buildflags
-export EXTRA_CPPFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
