=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+ifneq (,$(wildcard /usr/share/dpkg/buildflags.mk))
+include /usr/share/dpkg/buildflags.mk
+endif
 
 unexport LANG
 export LC_ALL=C
@@ -98,7 +102,7 @@
 is_release		= yes
 gh_project		= jdk8u
 #gh_tag			= jdk8u412-ga
-gh_tag			= jdk8u422-b05
+gh_tag			= jdk8u432-ga
 version_dash_buildnr	= $(subst ${gh_project},,${gh_tag})
 #version_dash_buildnr	= 412-b08
 # patched to get up to b05 (${UPSTREAM_PATCHES})
@@ -226,4 +230,3 @@
 	DEB_CXXFLAGS_MAINT_STRIP="-O2 -O3 -Werror=format-security"
 # jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
 dpkg_buildflags_hs += \
-	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
