## openjdk-8 8u442-b06~us1

=== debian/changelog ===
openjdk-8 (8u442-b06~us1-0ubuntu1~16.04) xenial-security; urgency=medium

  * Upload to Ubuntu 16.04.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Sun, 26 Jan 2025 20:47:33 +1300

openjdk-8 (8u442-b06~us1-0ubuntu1) plucky; urgency=medium

  * OpenJDK 8u442 release, build 6. Release notes:
    https://mail.openjdk.org/pipermail/jdk8u-dev/2025-January/019658.html

   [ Emilio Pozuelo Monfort ]
   * Drop b04-to-b05-hotspot.diff, no longer needed. Fixes FTBFS on armhf.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Sat, 25 Jan 2025 23:18:07 +1300
