=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Java Maintenance <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Glaser <tg@mirbsd.de>
-Build-Depends: openjdk-8-jdk, debhelper (>= 11), quilt,
+Build-Depends: openjdk-8-jdk, debhelper (>= 9), quilt,
  m4, lsb-release, zip, unzip, sharutils, gawk, cpio, procps, wdiff, tzdata,
- xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, libasmtools-java <!nocheck>, testng <!nocheck>, autoconf (>= 2.69), automake, pkg-config, ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-11, g++-11, libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libfreetype-dev, libgtk2.0-dev, libffi-dev, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libcups2, libglib2.0-0 (>= 2.24), libgtk2.0-0 (>= 2.14), libpulse-dev (>= 0.9.12), systemtap-sdt-dev, libnss3-dev (>= 2:3.26), dpkg-dev (>= 1.17.14), time
+ xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2~) <!nocheck>, testng <!nocheck>, autoconf (>= 2.69), automake, pkg-config, autotools-dev, ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-5, g++-5, libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libfreetype6-dev (>= 2.2.1), libgtk2.0-dev, libffi-dev, zlib1g-dev, libattr1-dev, libpng12-dev, libjpeg-dev, libgif-dev, libcups2, libglib2.0-0 (>= 2.24), libgtk2.0-0 (>= 2.14), libpulse-dev (>= 0.9.12), systemtap-sdt-dev, libnss3-dev (>= 2:3.26), dpkg-dev (>= 1.17.14), time
 Standards-Version: 4.6.2
 Homepage: https://openjdk.org/projects/jdk8u/
 VCS-git: https://evolvis.org/anonscm/git/alioth/openjdk-8.git -b master
@@ -163,6 +163,17 @@
  The packages are built using the IcedTea build support and patches
  from the IcedTea project.
 
+Package: openjdk-8-jre-jamvm
+Architecture: amd64 i386
+Multi-Arch: same
+Priority: extra
+Pre-Depends: ${dpkg:Depends}
+Depends: openjdk-8-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: Transitional package for obsolete JamVM for OpenJDK
+ JamVM support was removed for recent versions of OpenJDK 8.
+ .
+ This is a transitional package which can be safely removed.
+
 Package: openjdk-8-jre-zero
 Architecture: amd64 arm64 i386 ppc64 ppc64el armhf
 Multi-Arch: same
