=== debian/tests/control ===
Tests: hotspot, langtools
Depends: @, default-jre-headless, jtreg (>> 4.2~), testng, g++
Restrictions: allow-stderr, skippable, flaky

Tests: jdk
Depends: @, default-jre-headless, jtreg (>> 4.2~), testng, g++, xfwm4, xvfb, dbus-x11, unzip, zip
Restrictions: allow-stderr, skippable, flaky
